﻿using System;
using System.ComponentModel.DataAnnotations;

namespace TestProject
{
    /// <summary>
    /// 회사 사적 정보
    /// </summary>
    [MetadataType(typeof(CompanyProductMetadata))]
    public class CompanyPrivateInfo
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 패스워드 - Password

        /// <summary>
        /// 패스워드
        /// </summary>
        public string Password { get; set; }

        #endregion
        #region 날짜 2 - Date2

        /// <summary>
        /// 날짜 2
        /// </summary>
        public DateTime Date2 { get; set; }

        #endregion
        #region 판매액 - Sales

        /// <summary>
        /// 판매액
        /// </summary>
        public double Sales { get; set; }

        #endregion
        #region 이익 - Profit

        /// <summary>
        /// 이익
        /// </summary>
        public double Profit { get; set; }

        #endregion
        #region 판매 대 대상 - SalesVsTarget

        /// <summary>
        /// 판매 대 대상
        /// </summary>
        public double SalesVsTarget { get; set; }

        #endregion
        #region 시장 점유율 - MarketShare

        /// <summary>
        /// 시장 점유율
        /// </summary>
        public double MarketShare { get; set; }

        #endregion
        #region 고객 만족도 - CustomersSatisfaction

        /// <summary>
        /// 고객 만족도
        /// </summary>
        public double CustomersSatisfaction { get; set; }

        #endregion
    }
}