﻿using System.ComponentModel.DataAnnotations;

namespace TestProject
{
    /// <summary>
    /// 회사 공개 정보
    /// </summary>
    [MetadataType(typeof(CompanyProductMetadata))]
    public class CompanyPublicInfo
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 회사명 - CompanyName

        /// <summary>
        /// 회사명
        /// </summary>
        public string CompanyName { get; set; }

        #endregion
        #region 국가 - Country

        /// <summary>
        /// 국가
        /// </summary>
        public string Country { get; set; }

        #endregion
        #region 도시 - City

        /// <summary>
        /// 도시
        /// </summary>
        public string City { get; set; }

        #endregion
        #region URL - URL

        /// <summary>
        /// URL
        /// </summary>
        public string URL { get; set; }

        #endregion
        #region E 메일 - EMail

        /// <summary>
        /// E 메일
        /// </summary>
        public string EMail { get; set; }

        #endregion
        #region 전화 - Phone

        /// <summary>
        /// 전화
        /// </summary>
        public string Phone { get; set; }

        #endregion
        #region 부가 정보 - AdditionalInfo

        /// <summary>
        /// 부가 정보
        /// </summary>
        public string AdditionalInfo { get; set; }

        #endregion
    }
}